---
#TODO: A more sophisticated example of a Budibase deployment using Docker Compose.
# Can be found here: https://docs.budibase.com/docs/docker-compose

version: "3"

networks:
  proxy:
    external: true

volumes:
  budibase_data:

services:
  sync:
    image: {{ budibase_sync_container_image }}:{{ budibase_sync_container_version }}
    restart: unless-stopped
    networks:
      - proxy
    #profiles:
    #  - full
    #  - only-rps-sync
    volumes:
      - ./config.yaml:/opt/rps-admin-tools/config.yaml:ro
    entrypoint: ''
    environment:
      - SLEEP_MINUTES=1
    command: /opt/rps-admin-tools/command_loop.sh -c /opt/rps-admin-tools/config.yaml sync budibase --verbose

  budibase:
    image: {{budibase_container_image}}:{{budibase_container_version}}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
    environment:
      CUSTOM_DOMAIN: {{budibase_custom_domain}}
      JWT_SECRET: {{budibase_jwt_secret}}
      MINIO_ACCESS_KEY: {{budibase_minio_access_key}}
      MINIO_SECRET_KEY: {{budibase_minio_secret_key}}
      REDIS_PASSWORD: {{budibase_redis_password}}
      COUCHDB_USER: {{budibase_couch_db_user}}
      COUCHDB_PASSWORD: {{budibase_couch_db_password}}
      INTERNAL_API_KEY: {{budibase_internal_api_key}}
    volumes:
      - budibase_data:/data
